(function ( $ ) {
	'use strict';

	var shortcode = 'micdrop_core_blog_list';

	$( document ).ready(
		function () {
			//qodefSoundCloudonBlogList.init();
		}
	);

	$( document ).on(
		'micdrop_trigger_get_new_posts',
		function () {
			//qodefSoundCloudonBlogList.init();
		}
	);

	var qodefSoundCloudonBlogList = {
		players: [],
		init: function () {
			this.holder = $( '.qodef-blog.qodef-blog-audio-featured-image' );

			if ( this.holder.length ) {
				this.holder.each(
					function () {
						var $holder = $( this );

						qodefSoundCloudonBlogList.initItem( $holder );
					}
				);
			}
		},
		initItem: function ( $holder ) {
			var $item	 = $holder.find( '.format-audio iframe' );
			var $itemSRC = $item.attr( 'src' );

			if ( $itemSRC.length && $itemSRC.includes( 'soundcloud.com' ) ) {
				var $newSRC = $itemSRC.replace( 'visual=true&','' );
			}

			$item.attr( 'src', $newSRC );
		}
	};

	qodefCore.shortcodes[shortcode] = {};

	if ( typeof qodefCore.listShortcodesScripts === 'object' ) {
		$.each(
			qodefCore.listShortcodesScripts,
			function ( key, value ) {
				qodefCore.shortcodes[shortcode][key] = value;
			}
		);
	}

	qodefCore.shortcodes[shortcode].qodefResizeIframes = qodef.qodefResizeIframes;
	//qodefCore.shortcodes.micdrop_core_blog_list.qodefSoundCloudonBlogList = qodefSoundCloudonBlogList;

})( jQuery );
