<?php
$blog_list_image = get_post_meta( get_the_ID(), 'qodef_blog_list_image', true );
$has_image       = ! empty( $blog_list_image ) || has_post_thumbnail();

if ( $has_image ) {
	$image_dimension     = isset( $image_dimension ) && ! empty( $image_dimension ) ? esc_attr( $image_dimension['size'] ) : 'full';
	$custom_image_width  = isset( $custom_image_width ) && '' !== $custom_image_width ? intval( $custom_image_width ) : 0;
	$custom_image_height = isset( $custom_image_height ) && '' !== $custom_image_height ? intval( $custom_image_height ) : 0;

	?>
	<div class="qodef-e-media-image">
		<div class="qodef-e-video-image">
			<a itemprop="url" href="<?php the_permalink(); ?>">
				<?php echo micdrop_core_get_list_shortcode_item_image( $image_dimension, $blog_list_image, $custom_image_width, $custom_image_height ); ?>
				<span class="qodef-m-play-icon">
					<svg xmlns="http://www.w3.org/2000/svg" width="86" height="86" viewBox="0 0 86 86">
						<g>
							<circle cx="43" cy="43" r="42"/>
							<polygon points="38.607 36.34 38.607 49.66 49.393 43 38.607 36.34"/>
						</g>
						<g>
							<circle cx="43" cy="43" r="42"/>
							<polygon points="38.607 36.34 38.607 49.66 49.393 43 38.607 36.34"/>
						</g>
					</svg>
				</span>
			</a>
		</div>
	</div>
<?php } ?>
