<?php

include_once MICDROP_CORE_CPT_PATH . '/album/helper.php';

foreach ( glob( MICDROP_CORE_CPT_PATH . '/album/dashboard/admin/*.php' ) as $module ) {
	include_once $module;
}

foreach ( glob( MICDROP_CORE_CPT_PATH . '/album/dashboard/meta-box/*.php' ) as $module ) {
	include_once $module;
}

foreach ( glob( MICDROP_CORE_CPT_PATH . '/album/variations/*/include.php' ) as $variation ) {
	include_once $variation;
}

if ( ! function_exists( 'micdrop_core_include_album_taxonomy_options' ) ) {
	/**
	 * Function that include module taxonomy options
	 */
	function micdrop_core_include_album_taxonomy_options() {
		include_once MICDROP_CORE_CPT_PATH . '/album/dashboard/taxonomy/taxonomy-options.php';
	}

	add_action( 'micdrop_core_action_include_cpt_tax_fields', 'micdrop_core_include_album_taxonomy_options' );
}
