<?php
if ( isset( $show_top_info ) && 'yes' === $show_top_info && ( ! empty( $top_info_title ) || ! empty( $top_info_link ) ) ) {
	?>
	<div class="qodef-m-top-info">
		<?php
		if ( ! empty( $top_info_title ) ) {
			?>
			<h2 itemprop="name" class="qodef-e-title entry-title">
				<?php echo esc_html( $top_info_title ); ?>
			</h2>
		<?php } ?>

		<?php
		if ( ! empty( $top_info_link ) && class_exists( 'micdropcore_button_shortcode' ) ) {

			$button_params = array(
				'custom_class'  => 'qodef-top-info-button',
				'button_layout' => 'outlined',
				'text'          => $top_info_link_text,
				'link'          => $top_info_link,
				'target'        => $top_info_link_target,
			);

			echo micdropcore_button_shortcode::call_shortcode( $button_params );
			?>
		<?php } ?>
	</div>
	<?php
}
