<div <?php qode_framework_class_attribute( $holder_classes ); ?>>
	<div class="qodef-e-inner">
		<?php
		$i = 1;
		foreach ( $items as $item ) {

			$text = $item['item_title'];

			if ( ! empty( $text ) && ! empty( $item['highlight_position'] ) ) {
				$highlight_position = $item['highlight_position'];
				$text_prefix        = '<span class="qodef-highlight-text">';
				$text_suffix        = '</span>';

				$split_text           = explode( ' ', $text );
				$highlight_position   = explode( ',', str_replace( ' ', '', $item['highlight_position'] ) );
				$line_break_positions = array();
				$positions            = array_filter(
					array(
						'start' => isset( $highlight_position[0] ) ? $highlight_position[0] : '',
						'end'   => isset( $highlight_position[1] ) ? $highlight_position[1] : '',
					)
				);
				$positions            = array_merge( $positions, $line_break_positions );
				asort( $positions );

				if ( ! empty( $positions ) ) {
					foreach ( $positions as $key => $value ) {
						$text_prefix_html = 'start' === $key ? $text_prefix : '';
						$text_suffix_html = 'end' === $key ? $text_suffix : '';
						$text_break_html  = in_array( $value, $line_break_positions, true ) && 'start' !== $key && 'end' !== $key ? $text_break : '';

						if ( isset( $split_text[ intval( $value ) - 1 ] ) && ! empty( $split_text[ intval( $value ) - 1 ] ) ) {
							$split_text[ $value - 1 ] = $text_prefix_html . $split_text[ $value - 1 ] . $text_suffix_html . $text_break_html;
						}
					}

					$text = implode( ' ', $split_text );
				}
			}
			?>
				<?php if ( ! empty( $text ) ) { ?>
					<<?php echo esc_attr( $title_tag ); ?> itemprop="name" class="qodef-e-title entry-title">
						<?php if ( ! empty( $item['item_link'] ) ) { ?>
							<a itemprop="url" class="qodef-e-title-link" href="<?php the_permalink(); ?>">
						<?php } ?>
							<?php echo qode_framework_wp_kses_html( 'html', $text ); ?><?php if ( ! empty( $item['item_link'] ) ) { ?></a>
						<?php } ?></<?php echo esc_attr( $title_tag ); ?>>
				<?php } ?>
			<?php
		}
		$i ++;
		?>
	</div>
</div>
