<?php
$term_values = get_the_terms( get_the_ID(), 'artist' );

if ( ! empty( $term_values ) && ! is_wp_error( $term_values ) ) { ?>
	<div class="qodef-e-info-content">
		<?php foreach ( $term_values as $term_value ) { ?>
			<<?php echo esc_attr( $title_tag ); ?> class="qodef-e-info-artist">
				<a itemprop="url" class="qodef-e-info-content-link" href="<?php echo esc_url( get_term_link( $term_value->term_id ) ); ?>">
					<?php echo esc_html( $term_value->name ); ?>
				</a>
			</<?php echo esc_attr( $title_tag ); ?>>
		<?php } ?>
	</div>
<?php } ?>
