<?php
$term_values = get_the_terms( get_the_ID(), 'artist' );

if ( ! empty( $term_values ) && ! is_wp_error( $term_values ) ) {
	foreach ( $term_values as $term_value ) {
		$attachment_id       = get_term_meta( $term_value->term_id, 'qodef_artist_image', true );
		$image               = ! empty( $attachment_id ) ? $attachment_id : '';
		$image_dimension     = 'full';
		$custom_image_width  = isset( $custom_image_width ) && '' !== $custom_image_width ? intval( $custom_image_width ) : 0;
		$custom_image_height = isset( $custom_image_height ) && '' !== $custom_image_height ? intval( $custom_image_height ) : 0;
	}
}
?>
<?php if ( ! empty( $image ) ) { ?>
	<div class="qodef-e-media-image">
		<?php echo micdrop_core_get_list_shortcode_item_image( $image_dimension, $image, $custom_image_width, $custom_image_height ); ?>
		<?php if ('standard' === $layout || 'scattered' === $layout ) { ?>
			<span class="qodef-e-gradient-holder">
				<span class="qodef-e-gradient">
					<span class="qodef-e-gradient-dot-1"></span>
					<span class="qodef-e-gradient-dot-2"></span>
				</span>
			</span>
		<?php } ?>
	</div>
<?php } ?>
