<?php
$tracks = get_post_meta( $album, 'qodef_album_single_tracks', true );

if ( ! empty( $tracks ) ) {
	$tracks_params = array(
		'album'  => $album,
		'tracks' => $tracks,
	);
	?>
	<div <?php qode_framework_class_attribute( $holder_classes ); ?> data-album-id="<?php echo esc_attr( $album ); ?>">
		<div id="qodef-m-track-player-<?php echo esc_attr( $album ); ?>" class="qodef-m-track-player"></div>
		<?php micdrop_core_template_part( 'post-types/album/shortcodes/tracks-list', '/templates/parts/artist', '', $params ); ?>
		<?php micdrop_core_template_part( 'post-types/album/shortcodes/tracks-list', '/templates/parts/tracks', '', $tracks_params ); ?>
	</div>
<?php } ?>
