<?php
$queried_tax = get_queried_object();
$tax         = $queried_tax->taxonomy;
$tax_slug    = $queried_tax->slug;
$tax_id      = $queried_tax->term_id;

$params = array(
	'term_id' => $tax_id,
);
?>
<div class="qodef-grid-item <?php echo esc_attr( micdrop_core_get_page_content_sidebar_classes() ); ?>">
	<div class="qodef-artist-item qodef-m">
		<div class="qodef-m-inner">
			<div class="qodef-m-media">
				<?php micdrop_core_template_part( 'post-types/album', 'templates/artist/image', '', $params ); ?>
			</div>
			<div class="qodef-m-content">
				<?php micdrop_core_template_part( 'post-types/album', 'templates/artist/title', '', $params ); ?>
				<?php micdrop_core_template_part( 'post-types/album', 'templates/artist/subtitle', '', $params ); ?>
				<?php micdrop_core_template_part( 'post-types/album', 'templates/artist/biography', '', $params ); ?>
				<?php micdrop_core_template_part( 'post-types/album', 'templates/artist/social-networks', '', $params ); ?>
			</div>
		</div>
		<div class="qodef-m-albums">
			<h3 class="qodef-m-albums-title"><?php esc_html_e( 'Albums', 'micdrop-core' ); ?></h3>
			<?php
			$album_params = array(
				'behavior'       => 'columns',
				'columns'        => '3',
				'layout'         => 'standard',
				'enable_stores'  => 'yes',
				'space'          => 'extra-huge',
				'hover_gradient' => 'default'
			);
			micdrop_core_generate_album_archive_with_shortcode( $tax, $tax_slug, $album_params ); ?>
		</div>
		<div class="qodef-artist-video-holder">
			<?php micdrop_core_template_part( 'post-types/album', 'templates/artist/artist-video', '', $params ); ?>
			<?php micdrop_core_template_part( 'post-types/album', 'templates/artist/artist-additional-video', '', $params ); ?>
		</div>
	</div>
</div>
