<?php
// Hook to include additional content before page content holder
do_action( 'micdrop_core_action_before_album_content_holder' );
?>
	<main id="qodef-page-content" class="qodef-grid qodef-layout--template <?php echo esc_attr( micdrop_core_get_grid_gutter_classes() ); ?>" role="main">
		<div class="qodef-grid-inner clear">
			<?php
			// Include album template
			$content = isset( $content ) ? $content : '';
			micdrop_core_template_part( 'post-types/album', 'templates/album', $content );

			// Include page content sidebar
			micdrop_core_theme_template_part( 'sidebar', 'templates/sidebar' );
			?>
		</div>
	</main>
<?php
// Hook to include additional content after main page content holder
do_action( 'micdrop_core_action_after_album_content_holder' );
?>
