<?php
$tracks = get_post_meta( get_the_ID(), 'qodef_album_single_tracks', true );

if ( ! empty( $tracks ) ) { ?>
	<div class="qodef-e-lyrics">
		<?php
		$tracks_title = array_filter( array_column( $tracks, 'qodef_album_single_track_title' ) );
		$tracks_lyric = array_filter( array_column( $tracks, 'qodef_album_single_track_lyrics' ) );

		if ( class_exists( 'MicdropCore_Accordion_Shortcode' ) && ! empty( $tracks_title ) && ! empty( $tracks_lyric ) ) {
			micdrop_core_template_part( 'post-types/album', 'templates/parts/post-info/label', '', array( 'label' => esc_html__( 'Available Lyrics', 'micdrop-core' ) ) );

			$accordion_params = array(
				'behavior'            => 'accordion',
				'accordion_titles'    => $tracks_title,
				'accordion_title_tag' => 'h6',
				'accordion_contents'  => $tracks_lyric,
			);

			echo MicdropCore_Accordion_Shortcode::call_shortcode( $accordion_params );
		}
		?>
	</div>
<?php } ?>
