<?php

if ( ! function_exists( 'micdrop_core_add_album_single_variation_comperhensive' ) ) {
	/**
	 * Function that add variation layout for this module
	 *
	 * @param array $variations
	 *
	 * @return array
	 */
	function micdrop_core_add_album_single_variation_comperhensive( $variations ) {
		$variations['comperhensive'] = esc_html__( 'Comperhensive', 'micdrop-core' );

		return $variations;
	}

	add_filter( 'micdrop_core_filter_album_single_layout_options', 'micdrop_core_add_album_single_variation_comperhensive' );
}

if ( ! function_exists( 'micdrop_core_set_default_album_single_variation_comperhensive' ) ) {
	/**
	 * Function that set default variation layout for this module
	 *
	 * @return string
	 */
	function micdrop_core_set_default_album_single_variation_comperhensive() {
		return 'comperhensive';
	}

	add_filter( 'micdrop_core_filter_album_single_layout_default_value', 'micdrop_core_set_default_album_single_variation_comperhensive' );
}
