<?php

if ( ! function_exists( 'micdrop_core_add_events_slider_variation_info_on_image' ) ) {
	/**
	 * Function that add variation layout for this module
	 *
	 * @param array $variations
	 *
	 * @return array
	 */
	function micdrop_core_add_events_slider_variation_info_on_image( $variations ) {
		$variations['info-on-image'] = esc_html__( 'Info On Image', 'micdrop-core' );

		return $variations;
	}

	add_filter( 'micdrop_core_filter_events_slider_layouts', 'micdrop_core_add_events_slider_variation_info_on_image' );
}
