<?php

if ( ! function_exists( 'micdrop_core_add_button_variation_textual_with_arrow' ) ) {
	/**
	 * Function that add variation layout for this module
	 *
	 * @param array $variations
	 *
	 * @return array
	 */
	function micdrop_core_add_button_variation_textual_with_arrow( $variations ) {
		$variations['textual-with-arrow'] = esc_html__( 'Textual With Arrow', 'micdrop-core' );
		
		return $variations;
	}
	
	add_filter( 'micdrop_core_filter_button_layouts', 'micdrop_core_add_button_variation_textual_with_arrow' );
}
