<?php
$i    = 0;
$j = 0;
?>

<div <?php qode_framework_class_attribute( $holder_classes ); ?>>
	<div class="qodef-grid-inner clear">
		<?php
		// include global masonry template from theme
		micdrop_core_theme_template_part( 'masonry', 'templates/sizer-gutter', '', $params['behavior'] );

		// include items
		if ( ! empty( $images ) ) {

			foreach ( $images as $image ) {

				$image['item_classes'] = $item_classes;
				$image['image_action'] = $image_action;
				$image['target']       = $target;
				if (!empty($custom_links[$i])){
					$image['custom_links']       = $custom_links[$i++];
				}

				if (!empty($custom_text[$j])){
					$image['custom_text']       = $custom_text[$j++];
				}


                if (!empty($text_color)){
                    $image['text_color']       = $text_color;
                }

				// override image size w/ attachment meta value if masonry fixed - begin
				if ( $masonry_images_proportion === 'fixed' ) {
					$image_size_meta = micdrop_core_get_custom_image_size_meta( 'attachment', 'qodef_image_gallery_masonry_size', $image['image_id'] );

					$image['image_size']   = $image_size_meta['size'];
					$image['item_classes'] .= ' ' . $image_size_meta['class'];
				}
				// override image size w/ attachment meta value if masonry fixed - end

				micdrop_core_template_part( 'shortcodes/image-gallery', 'templates/parts/image', '', $image );
			}
		}
		?>
	</div>
</div>