<div class="<?php echo esc_attr( $item_classes ); ?>">
	<div class="qodef-item-inner">
		<?php if ( empty( $custom_links ) ) { ?>
			<span class="qodef-overlay"></span>
		<?php } ?>
		<?php if ( 'open-popup' === $image_action ) { ?>
			<a class="qodef-popup-item" itemprop="image" href="<?php echo esc_url( $url ); ?>" data-type="image" title="<?php echo esc_attr( $alt ); ?>">
		<?php } elseif ( 'custom-link' === $image_action && ! empty( $custom_links ) ) { ?>
			<a itemprop="url" class="qodef-ig-custom-link" href="<?php echo esc_url( $custom_links ); ?>" target="<?php echo esc_attr( $target ); ?>">
				<?php } ?>
				<?php
				if ( is_array( $image_size ) && count( $image_size ) ) {
					echo qode_framework_generate_thumbnail( $image_id, $image_size[0], $image_size[1] );
				} else {
					echo wp_get_attachment_image( $image_id, $image_size );
				}
				?>
				<?php if ( 'open-popup' === $image_action || 'custom-link' === $image_action ) { ?>
			</a>
					<?php
					if ( 'custom-link' === $image_action && ! empty( $custom_text ) ) {
						?>

		<h6 class="qodef-ig-custom-text-holder">
			<a itemprop="url" class="qodef-ig-custom-text" <?php qode_framework_inline_style( $text_color ); ?> href="<?php echo esc_url( $custom_links ); ?>" target="<?php echo esc_attr( $target ); ?>" ><?php esc_html_e( $custom_text ); ?></a>
		</h6>

		<?php } ?>
		<?php } ?>
	</div>
	<?php
	$img_caption = wp_get_attachment_caption( $image_id );
	if ( ! empty( $img_caption ) ) {
		?>
		<span class="qodef-img-caption"><?php echo esc_html( $img_caption ); ?></span>
		<?php
	}
	?>
</div>
