<div <?php qode_framework_class_attribute( $holder_classes ); ?>>
	<div class="qodef-e-inner">
		<?php if ( ! empty( $fixed_area_video ) || ! empty( $fixed_area_image ) ) { ?>
		<div class="qodef-e-item qodef-e-left">
			<?php
			if ( ! empty( $fixed_area_video ) && class_exists( 'MicdropCore_Video_Holder_Shortcode' ) ) {
				$video_params = array(
					'video_source'         => $fixed_area_video,
					'enable_appear'        => 'no',
					'video_image_fallback' => $fixed_area_image,
				);
				echo MicdropCore_Video_Holder_Shortcode::call_shortcode( $video_params );
			} elseif ( ! empty( $fixed_area_image ) ) {
				$original_image        = wp_get_attachment_image_src( $fixed_area_image, 'full' );
				$original_image['url'] = $original_image[0];
				$original_image['alt'] = get_post_meta( $fixed_area_image, '_wp_attachment_image_alt', true );
				?>
				<img src="<?php echo esc_url( $original_image['url'] ); ?>" alt="<?php echo esc_attr( $original_image['alt'] ); ?>"/>
			<?php } ?>

			<?php if ( ! empty( $fixed_area_title ) ) { ?>
			<<?php echo esc_attr( $fixed_area_title_tag ); ?> class="qodef-e-title" <?php qode_framework_inline_style( $title_styles ); ?>>
				<?php echo esc_html( $fixed_area_title ); ?>
		</<?php echo esc_attr( $fixed_area_title_tag ); ?>>
	<?php } ?>
	</div>
	<?php } ?>
	<div class="qodef-e-item qodef-e-right">
		<div class="qodef-m-banner-items">
			<?php
			$i = 1;
			foreach ( $items as $item ) {
				$image_original = wp_get_attachment_image_src( $item['item_image'], 'full' );
				$item['url']    = $image_original[0];
				$item['alt']    = get_post_meta( $item['item_image'], '_wp_attachment_image_alt', true );
				?>
				<div class="qodef-m-banner">
					<div class="qodef-m-banner-inner">
						<?php if ( '' !== $item['item_link'] ) { ?>
						<a href="<?php echo esc_url( $item['item_link'] ); ?>"
						   target="<?php echo esc_attr( $link_target ); ?>">
							<?php } ?>
							<?php if ( '' !== $item['item_title'] ) { ?>
								<span class="qodef-banner-title"><?php echo esc_html( $item['item_title'] ); ?></span>
							<?php } ?>
							<img src="<?php echo esc_url( $item['url'] ); ?>"
							     alt="<?php echo esc_attr( $item['alt'] ); ?>"/><?php if ( '' !== $item['item_link'] ) { ?>
						</a>
					<?php
					}
					$i ++;
					?>
					</div>
				</div>
			<?php } ?>
		</div>
	</div>
</div>
</div>
