<?php

if ( ! function_exists( 'micdrop_core_add_clock_spinner_layout_option' ) ) {
	/**
	 * Function that set new value into page spinner layout options map
	 *
	 * @param array $layouts - module layouts
	 *
	 * @return array
	 */
	function micdrop_core_add_clock_spinner_layout_option( $layouts ) {
		$layouts['clock'] = esc_html__( 'Clock', 'micdrop-core' );

		return $layouts;
	}

	add_filter( 'micdrop_core_filter_page_spinner_layout_options', 'micdrop_core_add_clock_spinner_layout_option' );
}
