<?php

if ( ! function_exists( 'micdrop_core_add_album_list_variation_gallery_stream_on_hover' ) ) {
	/**
	 * Function that add variation layout for this module
	 *
	 * @param array $variations
	 *
	 * @return array
	 */
	function micdrop_core_add_album_list_variation_gallery_stream_on_hover( $variations ) {
		$variations['gallery-stream-on-hover'] = esc_html__( 'Gallery Stream On Hover', 'micdrop-core' );

		return $variations;
	}

	add_filter( 'micdrop_core_filter_album_list_layouts', 'micdrop_core_add_album_list_variation_gallery_stream_on_hover' );
}
