<?php
$term_meta = get_term_meta( $term_id, 'qodef_album_artist_additional_video', true );

if ( ! empty( $term_meta ) ) { ?>
	<div class="qodef-m-artist-additional-video">
		<?php
		// Video player settings
		$settings = apply_filters( 'micdrop_core_filter_album_post_type_latest_video_settings', array(
			'width'  => 1200, // Aspect ration is 16:9
			'height' => 675,
			'loop' => true,
		) );
		
		$oembed = wp_oembed_get( $term_meta );
		if ( ! empty( $oembed ) ) {
			echo wp_oembed_get( $term_meta, $settings );
		} else {
			// Init video player
			echo wp_video_shortcode( array_merge( array( 'src' => esc_url( $term_meta ) ), $settings ) );
		} ?>
	</div>
<?php } ?>