<?php
$socials = array(
	'facebook' => 'fab fa-facebook-f',
	'twitter' => 'fab fa-twitter',
	'spotify' => 'fab fa-spotify',
	'instagram' => 'fab fa-instagram',
	'youtube' => 'fab fa-youtube',
	'soundcloud' => 'fab fa-soundcloud'
);
?>
<div class="qodef-m-social-networks">
	<?php foreach ( $socials as $key => $value ) {
		$term_meta = get_term_meta( $term_id, 'qodef_album_artist_' . $key . '_link', true );
		
		if ( ! empty( $term_meta ) ) { ?>
			<span class="qodef-m-social-networks-item qodef-e qodef-icon-holder qodef-has--circle-hover">
				<a itemprop="url" class="qodef-e-icon" href="<?php echo esc_url( $term_meta ); ?>" target="_blank">
					<?php echo qode_framework_wp_kses_html( 'html', qode_framework_icons()->render_icon( $value, 'font-awesome' ) ); ?>
				</a>
			</span>
		<?php }
	} ?>
</div>