<?php

if ( have_posts() ) {
	while ( have_posts() ) :
		the_post();

		// Hook to include additional content before post item
		do_action( 'micdrop_core_action_before_album_item' );

		$item_layout = apply_filters( 'micdrop_core_filter_album_single_layout', '' );

		// Include post item
		micdrop_core_template_part( 'post-types/album', 'variations/' . $item_layout . '/layout/' . $item_layout );

		// Hook to include additional content after post item
		do_action( 'micdrop_core_action_after_album_item' );

	endwhile; // End of the loop.
} else {
	// Include posts not found
	micdrop_core_template_part( 'post-types/album', 'templates/parts/posts-not-found' );
}

wp_reset_postdata();
