<?php
$term_values = get_the_terms( get_the_ID(), 'genre' );

if ( ! empty( $term_values ) && ! is_wp_error( $term_values ) ) { ?>
	<div class="qodef-e-info-item qodef-info--genres">
		<?php
		$label_params = array(
			'label'     => esc_html__( 'Genres', 'micdrop-core' ),
			'label_tag' => 'h5',
		);

		micdrop_core_template_part( 'post-types/album', 'templates/parts/post-info/label', '', $label_params );
		?>
		<span class="qodef-e-info-content">
			<?php foreach ( $term_values as $term_value ) { ?>
				<a itemprop="url" class="qodef-e-info-content-link" href="<?php echo esc_url( get_term_link( $term_value->term_id ) ); ?>"><?php echo esc_html( $term_value->name ); ?></a>
			<?php } ?>
		</span>
	</div>
<?php } ?>
