<?php
$info_items = get_post_meta( get_the_ID(), 'qodef_album_single_info_items', true );

if ( ! empty( $info_items ) ) {
	foreach ( $info_items as $info_item ) {
		$title = $info_item['qodef_album_single_info_item_title'];
		$text  = $info_item['qodef_album_single_info_item_text'];

		if ( ! empty( $title ) ) { ?>
			<div class="qodef-e-info-item qodef-info--info-items <?php echo str_replace( ' ', '-', strtolower( 'qodef-info--' . $title ) ); ?>">
				<?php
				$link = $info_item['qodef_album_single_info_item_link'];

				$label_params = array(
					'label'     => $title,
					'label_tag' => 'p',
				);

				micdrop_core_template_part( 'post-types/album', 'templates/parts/post-info/label', '', $label_params );

				if ( ! empty( $text ) ) {
					?>
					<span class="qodef-e-info-content">
						<?php if ( ! empty( $link ) ) { ?>
							<a itemprop="url" class="qodef-e-info-content-link" href="<?php echo esc_url( $link ); ?>">
							<?php
						}
						echo qode_framework_wp_kses_html( 'content', $text );
						if ( ! empty( $link ) ) {
							?>
							</a>
						<?php } ?>
					</span>
				<?php } ?>
			</div>
		<?php } ?>
	<?php } ?>
<?php } ?>
