<?php
$video_meta = get_post_meta( get_the_ID(), 'qodef_album_single_video_link', true );

if ( ! empty( $video_meta ) ) { ?>
	<div class="qodef-e-latest-video">
		<?php

		// Video player settings
		$settings = apply_filters(
			'micdrop_core_filter_video_format_settings',
			array(
				'loop' => true,
			)
		);

		$oembed = wp_oembed_get( $video_meta );
		if ( ! empty( $oembed ) ) {
			echo wp_oembed_get( $video_meta, $settings );
		} else {
			// Init video player
			echo wp_video_shortcode( array_merge( array( 'src' => esc_url( $video_meta ) ), $settings ) );
		}
		?>
	</div>
<?php } ?>
