<?php
$album_date = get_post_meta( get_the_ID(), 'qodef_album_single_release_date', true );

if ( ! empty( $album_date ) ) { ?>
	<div class="qodef-e-info-item qodef-info--release-date">
		<?php
		$date = explode( '-', $album_date );

		$label_params = array(
			'label'     => esc_html__( 'Release Date', 'micdrop-core' ),
			'label_tag' => 'p',
		);

		micdrop_core_template_part( 'post-types/album', 'templates/parts/post-info/label', '', $label_params );
		?>
		<span class="qodef-e-info-content"><?php echo gmdate( get_option( 'date_format' ), mktime( 0, 0, 0, $date[1], $date[2], $date[0] ) ); ?></span>
	</div>
<?php } ?>
