<?php
$social_icons = get_post_meta( get_the_ID(), 'qodef_album_single_social_icons', true );

if ( ! empty( $social_icons ) ) {
	$framework_icons = QodeFrameworkIcons::get_instance();
	?>
	<div class="qodef-e-social-icons">
		<?php
		micdrop_core_template_part( 'post-types/album', 'templates/parts/post-info/label', '', array( 'label' => esc_html__( 'Share', 'micdrop-core' ) ) );
		?>
		<div class="qodef-ei-inner">
			<?php
			foreach ( $social_icons as $icon ) {
				$social_link      = $icon['qodef_album_single_icon_link'];
				$social_target    = ! empty( $icon['qodef_album_single_icon_target'] ) ? $icon['qodef_album_single_icon_target'] : '_blank';
				$social_icon_pack = $icon['qodef_album_single_icon'];
				$social_icon_name = $framework_icons->get_formatted_icon_field_name( 'qodef_album_single_icon', $social_icon_pack, '-' );
				$social_icon      = $icon[ $social_icon_name ];
				?>
				<a class="qodef-ei-icon" href="<?php echo esc_url( $social_link ); ?>" target="<?php echo esc_attr( $social_target ); ?>">
					<?php echo qode_framework_wp_kses_html( 'html', $framework_icons->render_icon( $social_icon, $social_icon_pack ) ); ?>
				</a>
			<?php } ?>
		</div>
	</div>
<?php } ?>
