<?php

if ( ! function_exists( 'micdrop_core_add_album_single_variation_compact' ) ) {
	/**
	 * Function that add variation layout for this module
	 *
	 * @param array $variations
	 *
	 * @return array
	 */
	function micdrop_core_add_album_single_variation_compact( $variations ) {
		$variations['compact'] = esc_html__( 'Compact', 'micdrop-core' );

		return $variations;
	}

	add_filter( 'micdrop_core_filter_album_single_layout_options', 'micdrop_core_add_album_single_variation_compact' );
}

if ( ! function_exists( 'micdrop_core_set_default_album_single_variation_compact' ) ) {
	/**
	 * Function that set default variation layout for this module
	 *
	 * @return string
	 */
	function micdrop_core_set_default_album_single_variation_compact() {
		return 'compact';
	}

	add_filter( 'micdrop_core_filter_album_single_layout_default_value', 'micdrop_core_set_default_album_single_variation_compact' );
}
