<?php
if ( isset( $show_top_info ) && 'yes' === $show_top_info && ( ! empty( $top_info_title ) || ! empty( $top_info_link ) ) ) {
	?>
	<div class="qodef-m-top-info">
		<?php
		if ( ! empty( $top_info_title ) ) {
			?>
			<<?php echo esc_attr( $top_info_title_tag ); ?> itemprop="name" class="qodef-e-title entry-title">
			<?php echo esc_html( $top_info_title ); ?>
			</<?php echo esc_attr( $top_info_title_tag ); ?>>
		<?php } ?>

		<?php
		if ( ! empty( $top_info_link ) && class_exists( 'micdropcore_button_shortcode' ) ) {

			$color        = 'dark' === $skin ? '#000' : '';
			$border_color = 'dark' === $skin ? '#000' : '';
			$hover_color  = 'dark' === $skin ? '#fff' : '';

			$button_params = array(
				'custom_class'  => 'qodef-top-info-button',
				'button_layout' => 'outlined',
				'text'          => $top_info_link_text,
				'link'          => $top_info_link,
				'target'        => $top_info_link_target,
				'color'         => $color,
				'hover_color'   => $hover_color,
				'border_color'  => $border_color,
			);

			echo micdropcore_button_shortcode::call_shortcode( $button_params );
			?>
		<?php } ?>
	</div>
	<?php
}
