<?php if ( has_post_thumbnail() ) {
	$attachment_id       = get_post_thumbnail_id();
	$image_dimension     = isset( $image_dimension ) && ! empty( $image_dimension ) ? esc_attr( $image_dimension['size'] ) : 'full';
	$custom_image_width  = isset( $custom_image_width ) && '' !== $custom_image_width ? intval( $custom_image_width ) : 0;
	$custom_image_height = isset( $custom_image_height ) && '' !== $custom_image_height ? intval( $custom_image_height ) : 0;
	?>
	<div class="qodef-e-media-image">
		<?php echo micdrop_core_get_list_shortcode_item_image( $image_dimension, $attachment_id, $custom_image_width, $custom_image_height ); ?>
	</div>
<?php } ?>
