<?php
$event_start_date = get_post_meta( get_the_ID(), 'qodef_event_single_start_date', true );
$event_end_date = get_post_meta( get_the_ID(), 'qodef_event_single_end_date', true );
$event_time = get_post_meta( get_the_ID(), 'qodef_event_single_time', true );
$event_start_date_convert = date("d/m/Y", strtotime($event_start_date));
$event_end_date_convert = date("d/m/Y", strtotime($event_end_date));

if ( ! empty( $event_start_date ) ) { ?>
	<div class="qodef-e-info-item qodef-info--date">
		<?php
		$label_params = array(
			'label'     => esc_html__( 'Date:', 'micdrop-core' ),
			'label_tag' => 'p',
		);

		micdrop_core_template_part( 'post-types/events', 'templates/parts/post-info/label', '', $label_params );
		?>
		<span class="qodef-e-info-content">
			<?php
			echo esc_html( $event_start_date_convert );

			if ( ! empty( $event_end_date ) ) {	?>
				<span class="qodef-date-label-to">
					<?php	esc_html_e(' to ', 'micdrop-core'); ?>
				</span>
				<?php
					echo esc_html( $event_end_date_convert );
				}
			?>
		</span>
	</div>
<?php } ?>
