<?php
$link        = get_post_meta( get_the_ID(), 'qodef_masonry_gallery_item_link', true );
$link_target = get_post_meta( get_the_ID(), 'qodef_masonry_gallery_item_link_target', true );
$item_video  = get_post_meta( get_the_ID(), 'qodef_masonry_gallery_item_video_url', true );

if ( ! empty( $link_action ) && 'open-popup' === $link_action ) { ?>

	<?php
	if ( empty( $item_video ) && has_post_thumbnail() ) {
		$alt = get_post_meta( get_post_thumbnail_id(), '_wp_attachment_image_alt', true );
		?>
		<a itemprop="image" class="qodef-e-link qodef-popup-item" href="<?php echo esc_url( get_the_post_thumbnail_url() ); ?>" data-type="image" title="<?php echo esc_attr( $alt ); ?>"></a>
		<?php
	} else {
		?>
		<a itemprop="url" class="qodef-e-link" href="<?php echo esc_url( $link ); ?>" target="<?php echo esc_attr( $link_target ); ?>"></a>
		<?php
	}
} elseif ( ! empty( $link ) ) {
	?>
	<a itemprop="url" class="qodef-e-link" href="<?php echo esc_url( $link ); ?>" target="<?php echo esc_attr( $link_target ); ?>"></a>
<?php } ?>
