<div class="qodef-m-image" <?php qode_framework_inline_style( $img_border_styles ); ?>>
	<?php if ( ! empty( $decoration_dots ) && 'yes' === $decoration_dots ) { ?>
	<div class="qodef-m-decoration-dots" <?php qode_framework_inline_style( $dots_styles ); ?>>
		<span class="qodef-dot"></span>
		<span class="qodef-dot"></span>
		<span class="qodef-dot"></span>
	</div>
	<?php } ?>
	<?php if ( 'yes' === $image_hover_animation ) { ?>
		<div class="qodef-e-media-image-inner">
			<span class="qodef-e-gradient-holder">
				<span class="qodef-e-gradient">
					<span class="qodef-e-gradient-dot-1"></span>
					<span class="qodef-e-gradient-dot-2"></span>
				</span>
			</span>
	<?php } ?>
	<?php if ( 'open-popup' === $image_action ) { ?>
		<a class="qodef-magnific-popup qodef-popup-item" itemprop="image" href="<?php echo esc_url( $image_params['url'] ); ?>" data-type="image" title="<?php echo esc_attr( $image_params['alt'] ); ?>">
	<?php } elseif ( 'custom-link' === $image_action && ! empty( $link ) ) { ?>
		<a itemprop="url" href="<?php echo esc_url( $link ); ?>" target="<?php echo esc_attr( $target ); ?>">
	<?php } ?>
		<?php
		if ( is_array( $image_params['image_size'] ) && count( $image_params['image_size'] ) ) {
			echo qode_framework_generate_thumbnail( $image_params['image_id'], $image_params['image_size'][0], $image_params['image_size'][1] );
		} else {
			echo wp_get_attachment_image( $image_params['image_id'], $image_params['image_size'] );
		}
		?>
		<?php
		if ( isset( $video_url ) && ! empty( $video_url ) && class_exists( 'MicdropCore_Video_Holder_Shortcode' ) ) {

			$video_holder_params = array(
				'video_source' => $video_url,
			);
			echo MicdropCore_Video_Holder_Shortcode::call_shortcode( $video_holder_params );
		}
		?>
	<?php if ( 'open-popup' === $image_action || 'custom-link' === $image_action ) { ?>
		</a>
	<?php } ?>
	<?php if ( 'yes' === $image_hover_animation ) { ?>
		</div>
	<?php } ?>
</div>
